Bug 489297 - Reference on dB in gnome-volume-control-applet is misleading
Reference on dB in gnome-volume-control-applet is misleading
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 08:00 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 11:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
100 % = -0.6 dB (7.57 KB, image/png)
2009-03-09 08:00 EDT, Michal Nowak
no flags Details
100 % = -4.38 dB (7.57 KB, image/png)
2009-03-09 08:14 EDT, Michal Nowak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 575093 None None None Never

  None (edit)
Description Michal Nowak 2009-03-09 08:00:32 EDT
Created attachment 334498 [details]
100 % = -0.6 dB

Description of problem:

The same 100 % of output on the new applet sometimes means different value in dB. See the two attached images.

Version-Release number of selected component (if applicable):

gnome-media-2.25.92-2.fc11.x86_64

How reproducible:

always

Steps to Reproduce:
1. Have < 100 %
2. Do some up'n'down with the pop up slider and/or change the volume with mouse's second button (wheel)

Actual results:

dB differs: -0.6 dB v. -4.38 dB

Expected results:

dB are always the same on each percentage level
Comment 1 Michal Nowak 2009-03-09 08:14:11 EDT
Created attachment 334500 [details]
100 % = -4.38 dB
Comment 2 Bastien Nocera 2009-03-12 10:02:59 EDT
I'll double-check this. I presume it will be a bug in PulseAudio, but I have no proof of that yet.
Comment 3 Bastien Nocera 2009-03-12 11:36:34 EDT
It's a gnome-media bug. Upstream bug is at:
http://bugzilla.gnome.org/show_bug.cgi?id=575093

Fixed in gnome-media 2.25.92-4:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1238143
Comment 4 Michael Monreal 2009-03-13 10:57:28 EDT
Is it correct that 100% equals 0.00db and 50% equals -30.00db? Maybe I'm totally misreading this but it makes no sense to me... (I just tested with the latest gnome-media from koji)
Comment 5 Bastien Nocera 2009-03-13 21:52:25 EDT
That's the way that dB information is used for soundcards.

Note You need to log in before you can comment on or make changes to this bug.